Name:           maven-clean-plugin
Version:        2.5
Release:        %mkrel 9
Summary:        Maven Clean Plugin
Group:          Development/Java

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-clean-plugin/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  cdi-api 

Provides:       maven2-plugin-clean = 1:%{version}-%{release}
Obsoletes:      maven2-plugin-clean <= 0:2.0.8

%description
The Maven Clean Plugin is a plugin that removes files generated 
at build-time in a project's directory.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
# maven-core has scope "provided" in Plugin Testing Harness, so we
# need to provide it or tests will fail to compile.  This works for
# upstream because upstream uses a different version of Plugin Testing
# Harness in which scope of maven-core dependency is "compile".
%pom_add_dep org.apache.maven:maven-core::test

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Sun Dec 15 2013 dmorgan <dmorgan> 2.5-9.mga4
+ Revision: 557011
- Fix buildrequires
- Fix buildrequires

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Sep 21 2013 dmorgan <dmorgan> 2.5-7.mga4
+ Revision: 482677
- Build with xmvn
- Rebuild against new javapackages

* Wed Sep 18 2013 dmorgan <dmorgan> 2.5-3.mga4
+ Revision: 481076
- Add maven-core to test dependencies
- Resolves: rhbz#914165

* Sat Jan 12 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 359586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.5-1.mga3
+ Revision: 292621
- New version

* Wed Jul 20 2011 dmorgan <dmorgan> 2.4.1-5.mga2
+ Revision: 127245
- Fix install
- Use upstream tarball
  Build with maven 3.x.

* Thu Apr 28 2011 dmorgan <dmorgan> 2.4.1-4.mga1
+ Revision: 92692
- Rebuild after bootstrapping
- imported package maven-clean-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 2.4.1-2
- Fix review comments.

* Wed May 12 2010 Alexander Kurtakov <akurtako@redhat.com> 2.4.1-1
- Initial package.
